Java Version Warning launching applets

Technote (troubleshooting)


User goes to application that uses a Java applet, and sees a version warning dialog.


When user opens applications listed below, one of either of the following pairs of dialog boxes is displayed.

QuickPrint (Direct Print only), Assets Topology, Attachimage, Workflow Designer, Workflow Designer Advanced, Dispatching and Application Designer; Scheduler; Change, Actual Configuration Item, Configuration Items, Create Service Request, Self Service Center, Change, Change Schedule, Releases, and Activity Tasks

    An application from the location below is requesting permission to run

    Name: ...

    From: <mxserver_hostname:port.>

    This application would like to use a version of Java (1.6.0) that is not installed on your system. We recommend running the application with the latest version of Java on your computer.

    Name: <application name>
    Location: <mxserver_hostname:port>

And you are given the choice of Run with the latest version or Cancel.

Two examples of the what might be listed in Name:



This warning is from Java JRE. It appears because you have Java JRE 1.7 installed on the workstation and do not also have Java JRE 1.6 installed.

Resolving the problem

If you are running Maximo Asset Management or SmartCloud Control Desk or later, Click on Run with the latest version.

See the links below for more information on enabling and using Asset Topology Viewer.

Related information

Java Security Warnings Launching Some Applications
Configuring Asset Topology Viewer
Asset Topology

Cross reference information
Segment Product Component Platform Version Edition
Systems and Asset Management Control Desk Not Applicable AIX, HP-UX, Linux, Solaris, Windows 7.5, 7.5.1,,, 7.5.3 Edition Independent

Document information

More support for:

Maximo Asset Management
System Related

Software version:


Operating system(s):

Platform Independent

Reference #:


Modified date:


Translate my page

Content navigation